package web

import (
	"net/http"

	"fmt"

	"github.com/ostafen/clover/v2"
)

type WebServer struct {
	db   *clover.DB
	port int
}

func NewWebServer(db *clover.DB, port int) *WebServer {
	return &WebServer{
		db:   db,
		port: port,
	}
}

func (ws *WebServer) Start() error {
	http.HandleFunc("/", ws.IndexHandler)
	http.HandleFunc("/shares", ws.SharesHandler)

	address := ":" + fmt.Sprint(ws.port)
	println("Listening on", address)
	return http.ListenAndServe(address, nil)
}
